ALTER TABLE tmpr_wml_mailtext000 DROP COLUMN idx_attach_to000;
ALTER TABLE tmpr_wml_mailtext000 DROP COLUMN idx_attach_cc000;
ALTER TABLE tmpr_wml_mailtext000 DROP COLUMN idx_attachother_000;

ALTER TABLE TMPR_WML_MAILINFO000
        ADD CONSTRAINT FKPR_WML_MAILINFO000_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;
ALTER TABLE TMPR_WML_MAILTEXT000
        ADD CONSTRAINT FKPR_WML_MAILTEXT000_01
		foreign key ( SID_CORPORATE, SID_USER, ID )
		references TMPR_WML_MAILINFO000( SID_CORPORATE, SID_USER, ID )
		on delete cascade
;
ALTER TABLE TMPR_WML_MAILFILE000
        ADD CONSTRAINT FKPR_WML_MAILFILE000_01
		foreign key ( SID_CORPORATE, SID_USER, ID )
		references TMPR_WML_MAILINFO000( SID_CORPORATE, SID_USER, ID )
		on delete cascade
;

ALTER TABLE TM_INDEX_GROUP
        ADD CONSTRAINT FK_INDEX_GROUP_01
		foreign key ( SID_CORPORATE, SID_GROUP )
		references TM_GROUP( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_INDEX
        ADD CONSTRAINT FKPR_INDEX_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_INDEX_GROUP
        ADD CONSTRAINT FKPR_INDEX_GROUP_01
		foreign key ( SID_CORPORATE, SID_USER, SID_PRGROUP )
		references TMPR_GROUP( SID_CORPORATE, SID_USER, ID )
		on delete cascade
;

ALTER TABLE TM_GROUP_USER
        ADD CONSTRAINT FK_GROUP_USER_01
		foreign key ( SID_CORPORATE, ID )
		references TM_GROUP( SID_CORPORATE, ID )
		on delete cascade
;
ALTER TABLE TM_GROUP_USER
        ADD CONSTRAINT FK_GROUP_USER_02
		foreign key ( SID_CORPORATE, SID_ASSIGN )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_GROUP
        ADD CONSTRAINT FKPR_GROUP_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_GROUP_USER
        ADD CONSTRAINT FKPR_GROUP_USER_01
		foreign key ( SID_CORPORATE, SID_USER, ID )
		references TMPR_GROUP( SID_CORPORATE, SID_USER, ID)
		on delete cascade
;
ALTER TABLE TMPR_GROUP_USER
        ADD CONSTRAINT FKPR_GROUP_USER_02
		foreign key ( SID_CORPORATE, SID_ASSIGN )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_SETTING
        ADD CONSTRAINT FKPR_SETTING_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_MOBILE_SETTING
        ADD CONSTRAINT FKPR_MOBILE_SETTING_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_USER_CSVINDEX
        ADD CONSTRAINT FKPR_USER_CSVINDEX_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID)
		on delete cascade
;

ALTER TABLE TMPR_GROUP_CSVINDEX
        ADD CONSTRAINT FKPR_GROUP_CSVINDEX_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID)
		on delete cascade
;

ALTER TABLE TM_ADR_GROUP_ADDR
        ADD CONSTRAINT FK_ADR_GROUP_ADDR_01
        foreign key ( SID_CORPORATE, SID_ASSIGN )
        references TM_ADDRESS( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TM_ADR_GROUP_ADDR
        ADD CONSTRAINT FK_ADR_GROUP_ADDR_02
        foreign key ( SID_CORPORATE, ID )
        references TM_ADR_GROUP( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_ADR_GROUP_ADDR
        ADD CONSTRAINT FKPR_ADR_GROUP_ADDR_03
        foreign key ( SID_CORPORATE, ID, SID_USER )
        references TMPR_ADR_GROUP( SID_CORPORATE, ID, SID_USER )
        on delete cascade
;

ALTER TABLE TMPR_ADDRESS
        ADD CONSTRAINT FK_USER_ADR_01
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_ADR_GROUP
        ADD CONSTRAINT FK_USER_ADR_02
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_ADR_SETTING
        ADD CONSTRAINT FK_USER_ADR_03
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_ADR_CSVINDEX
        ADD CONSTRAINT FK_USER_ADR_04
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;

ALTER TABLE TMPR_WML_SETTING
        ADD CONSTRAINT FK_USER_WML_01
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_WML_FOLDER
        ADD CONSTRAINT FK_USER_WML_02
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_WML_ACCOUNT
        ADD CONSTRAINT FK_USER_WML_03
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_WML_SIGN
        ADD CONSTRAINT FK_USER_WML_04
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_WML_FILTER
        ADD CONSTRAINT FK_USER_WML_05
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_WML_TROUBLEITEM
        ADD CONSTRAINT FK_USER_WML_06
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_WML_CAPACITY
        ADD CONSTRAINT FK_USER_WML_07
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;
ALTER TABLE TMPR_WML_NOTIFICATION
        ADD CONSTRAINT FK_USER_WML_08
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;

ALTER TABLE TMPR_WML_ACCCSVINDEX
        ADD CONSTRAINT FK_USER_WML_09
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;

ALTER TABLE TMPR_LASTID
	ADD CONSTRAINT FK_USER_WML_10
        foreign key ( SID_CORPORATE, SID_USER )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;

ALTER TABLE TM_SCHEDULER
        ADD CONSTRAINT FK_SCHEDULER_01
        foreign key ( SID_CORPORATE, ID )
        references TM_USER( SID_CORPORATE, ID )
        on delete cascade
;

ALTER TABLE TM_SCHEDULER
        ADD CONSTRAINT FK_SCHEDULER_02
        foreign key ( SID_CORPORATE, SID_SCHEDULER )
        references TM_SCHEDULER_MODULE( SID_CORPORATE, ID )
        on delete cascade
;

ALTER TABLE TM_GROUP_MODULE
        ADD CONSTRAINT FK_GROUP_MODULE_01
		foreign key ( SID_CORPORATE, SID_GROUP )
		references TM_GROUP( SID_CORPORATE, ID )
		on delete cascade
;
ALTER TABLE TM_ATTACH_USER
        ADD CONSTRAINT FK_ATTACH_USER_01
		foreign key ( SID_CORPORATE, ID )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TMPR_WML_AUTORECV
        ADD CONSTRAINT FKPR_WML_AUTORECV_01
		foreign key ( SID_CORPORATE, SID_USER )
		references TM_USER( SID_CORPORATE, ID )
		on delete cascade
;

ALTER TABLE TM_LANGNAME
        ADD CONSTRAINT FK_LANGNAME_01
		foreign key ( SID_CORPORATE, LANG_ID )
		references TM_LANG( SID_CORPORATE, LANG_ID )
		on delete cascade
;
ALTER TABLE TM_WML_CHARSETNAME
        ADD CONSTRAINT FK_WML_CHARSETNAME_01
		foreign key ( SID_CORPORATE, LANG_ID )
		references TM_LANG( SID_CORPORATE, LANG_ID )
		on delete cascade
;
ALTER TABLE TM_WML_CHARSETNAME
        ADD CONSTRAINT FK_WML_CHARSETNAME_02
		foreign key ( SID_CORPORATE, CHARSET_ID )
		references TM_WML_CHARSET( SID_CORPORATE, CHARSET_ID )
		on delete cascade
;
